getstyle(1)

NAME
getstyle - dumps the current Window Maker style related configuration or creates a theme pack.

SYNOPSIS
getstyle [-t|--theme-options] [-p|--pack] [style file]

DESCRIPTION
getstyle can either dump the current Window Maker style related configuration information to a file/stdout or create a self-contained theme pack. A theme pack is a directory that contains everything that is needed for a redistributable theme, including the style information and pixmaps used by it. Note that style information stored in the global configuration of the system is not read.

OPTIONS

--help
    print a help message with the list of options.

--pack or -p
    creates a theme pack in the directory named by the theme name appended with the .themed suffix.

--theme-options or -t
    dumps theme related information too, which includes the root background texture. This option is always enabled when the -p option is used.

--version
    print the version of Window Maker from which the program comes.

STYLE CONTENT
The following options are stored by default: TitleJustify, ClipTitleFont, WindowTitleFont, MenuTitleFont, MenuTextFont, IconTitleFont, LargeDisplayFont, HighlightColor, HighlightTextColor, ClipTitleColor, CClipTitleColor, FTitleColor, PTitleColor, UTitleColor, FTitleBack, PTitleBack, UTitleBack, ResizebarBack, MenuTitleColor, MenuTextColor, MenuDisabledColor, MenuTitleBack, MenuTextBack, IconBack, IconTitleColor, IconTitleBack, FrameBorderWidth, FrameBorderColor, FrameSelectedBorderColor, MenuStyle, WindowTitleExtendSpace, MenuTitleExtendSpace, and MenuTextExtendSpace. If either -t or --theme-options is specified, in addition to the previous options, WorkspaceBack is also stored, along with any user-definable mouse cursor settings (NormalCursor, ArrowCursor, MoveCursor, ResizeCursor, TopLeftResizeCursor, TopRightResizeCursor, BottomLeftResizeCursor, BottomRightResizeCursor, VerticalResizeCursor, HorizontalResizeCursor, WaitCursor, QuestionCursor, TextCursor, SelectCursor) that are present.

ENVIRONMENT

GNUSTEP_USER_ROOT
    specifies the initial path for the Defaults directory. "Defaults/" is appended to this variable to determine the actual location of the databases. If the variable is not set, it defaults to "~/GNUstep"

FILES

GNUSTEP_USER_ROOT/Defaults/WindowMaker
    This is the actual file that gets written.

SEE ALSO
setstyle(1), wmaker(1)

AUTHOR
This man page was written by Marcelo Magallon <mmagallo@debian.org>.

Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.info>.